
Infrastructure - Task #1943

Story # 1906 (Closed): Review, revise, and update architecture documentation

MNRead.listObjects() - Remove default on replicaStatus

2011-10-27 02:23 - Roger Dahl

Status: Closed Start date: 2011-10-27

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

replicaStatus has a default of true. This makes it impossible to retrieve an ObjectList that is not filtered on replicaStatus. Other

parameters, such as startTime, don't have a default. So when they are left out, there is no filtering done on that parameter. I think we

should do the same with replicaStatus, so that leaving it out would return a list that contains all objects, regardless of their

replicaStatus.

History

#1 - 2011-11-03 20:29 - Dave Vieglais

- Status changed from New to Closed

Agreed. Docs updated.

#2 - 2014-10-02 17:21 - Dave Vieglais

- Target version set to Maintenance Backlog

Powered by TCPDF (www.tcpdf.org)

2024-04-10 1/1

http://www.tcpdf.org

